Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Ben de Groot" <yngwin@...>
Subject: proj/qt:master commit in: media-video/qemplayer/
Date: Mon, 25 Jun 2012 14:38:33 +0000 (UTC)
commit:     f57fb64581937d53e678ac53dadbeea2ca727a10
Author:     Ben de Groot <yngwin <AT> gmail <DOT> com>
AuthorDate: Mon Jun 25 14:38:04 2012 +0000
Commit:     Ben de Groot <yngwin <AT> gmail <DOT> com>
CommitDate: Mon Jun 25 14:38:04 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=commit;h=f57fb645

Add media-video/qemplayer from bug #423085

---
 media-video/qemplayer/metadata.xml          |   14 +++++++
 media-video/qemplayer/qemplayer-12.4.ebuild |   52 +++++++++++++++++++++++++++
 2 files changed, 66 insertions(+), 0 deletions(-)

diff --git a/media-video/qemplayer/metadata.xml b/media-video/qemplayer/metadata.xml
new file mode 100644
index 0000000..2b4423a
--- /dev/null
+++ b/media-video/qemplayer/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<herd>proxy-maintainers</herd>
+	<maintainer>
+		<email>wbrana@...</email>
+		<description>maintainer-by-proxy as well as upstream</description>
+	</maintainer>
+	<maintainer>
+		<email>yngwin@g.o</email>
+		<name>Ben de Groot</name>
+		<description>proxy</description>
+	</maintainer>
+</pkgmetadata>

diff --git a/media-video/qemplayer/qemplayer-12.4.ebuild b/media-video/qemplayer/qemplayer-12.4.ebuild
new file mode 100644
index 0000000..55231de
--- /dev/null
+++ b/media-video/qemplayer/qemplayer-12.4.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+SCONS_MIN_VERSION="2.1"
+inherit flag-o-matic eutils scons-utils
+
+DESCRIPTION="File-manager-like Qt4 GUI front-end to MPlayer"
+HOMEPAGE="http://sourceforge.net/projects/qemplayer/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+RDEPEND=">=dev-db/sqlite-3.7.13[threadsafe]
+	>=dev-libs/libsigc++-2.2.10
+	|| ( media-video/mplayer media-video/mplayer2 )
+	>=x11-libs/qt-gui-4.8:4
+	>=x11-libs/qt-sql-4.8:4[sqlite]"
+DEPEND="${RDEPEND}
+	>=sys-devel/gcc-4.4.7
+	virtual/pkgconfig"
+
+pkg_setup() {
+	local major=$(gcc-major-version)
+	local minor=$(gcc-minor-version)
+	if (( major < 4 || ( major == 4 && minor < 4 ) )); then
+		die "gcc 4.4.7 or newer is required"
+	fi
+}
+
+src_configure() {
+	myesconsargs=(
+		 final=1
+		 env=1
+		 -j1
+		 $(use_scons debug)
+	)
+}
+
+src_compile() {
+	escons
+}
+
+src_install() {
+	dodir /usr
+	escons install prefix="${D}"usr
+	dodoc INSTALL README CHANGES
+}


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
proj/hardened-patchset: New tag: 20120623
Next by thread:
proj/python:master commit in: dev-python/pyudev/files/, dev-python/pyudev/
Previous by date:
gentoo-x86 commit in profiles: ChangeLog package.mask
Next by date:
proj/python:master commit in: /


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.